%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Convert-BinHex

Summary: 	Extract data from Macintosh BinHex files
Name: 		perl-Convert-BinHex
Version: 	1.119
Release: 	8.4
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Convert-BinHex/

Source: 	http://www.cpan.org/modules/by-module/Convert/Convert-BinHex-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl
Requires: 	perl

%description
Convert-BinHex is a set of Perl classes to extract data from Macintosh
BinHex files.

%prep
%setup -n %{real_name}-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc COPYING MANIFEST README*
%dir %{perl_vendorlib}/Convert
%{perl_vendorlib}/Convert/BinHex.pm
%{_mandir}/man3/Convert::BinHex.3pm*

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

